PUT: Modify a Router
Modify the attributes of the specified router. You cannot use this command to modify the inputs or outputs of the router; to do that, use PUT Router Input and PUT Router Output.
HTTP Request and Response
Request URL
PUT http://<Conductor IP address>/routers/<ID of router>
Call Header
-
Accept: Set to
application/xml -
Content-Type: Set to
application/xml
If you are implementing user authentication, you must also include three authorization headers; see Header Content for User Authentication.
Request Body
The request body contains only the elements to change. For a list of available elements, see POST: Create a Router.
Example
This request changes the router with the ID 3. It changes its max_inputs to 8.
PUT http://198.51.100.0/routers/3 ------------------------------------------ Content-type:application/vnd.elemental+xml;version=3.3.0 Accept:application/xml---------------------------------------- <?xml version="1.0" encoding="UTF-8"?> <router> <router_type>blackmagic_videohub</router_type> <max_inputs>8</max_inputs> </router>